
package servlets;
import javax.servlet.http.*;
import org.apache.struts.action.*;
import java.util.*;
import javabeans.*;
import modelo.*;

public class RecuperarAction extends Action {
    public ActionForward execute(ActionMapping mapping, ActionForm  form,
            HttpServletRequest request, HttpServletResponse response)
            throws Exception {
        Operaciones oper=new Operaciones();
        ArrayList mensajes=oper.obtenerMensajes(request.getParameter("nombre"));
        if(mensajes!=null&&mensajes.size()>0){
            request.setAttribute("mensajes",mensajes);
            return mapping.findForward("visualiza");
        }
        else{
            return mapping.findForward("sinmensajes");
        }
    }
}
